# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-09 15:11
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def create_missed_feedback_templates(apps, schema_editor):
    comm_event_types = [
        {
            'name': 'Обратный звонок',
            'code': 'BACKCALL'
        },
        {
            'name': 'Вопрос',
            'code': 'QUESTION'
        },
        {
            'name': 'Запрос из слайдера',
            'code': 'SLIDER_CTA_REQUEST'
        },
    ]
    comm_event_type_model = apps.get_model('customer', 'CommunicationEventType')
    for comm_event_type in comm_event_types:
        try:
            comm_event_type_model.objects.get(code=comm_event_type['code'])
        except comm_event_type_model.DoesNotExist:
            comm_event_type_model.objects.create(
                name=comm_event_type['name'],
                code=comm_event_type['code']
            )


class Migration(migrations.Migration):

    dependencies = [
        ('feedback', '0007_auto_20171002_1859'),
    ]

    operations = [
        RunPython(create_missed_feedback_templates)
    ]
